package Rq;
# Redis as Queue
use strict;
use Coro;
use AnyEvent::Redis;
our %REDIS_SERVER = (server => '127.0.0.1', port => 6379);

sub new {
    my $class = shift;
    my $name = shift;
    my $self = {
        name => $name,
        redis => AnyEvent::Redis->new(%REDIS_SERVER),
    };
    bless $self, $class;
}
sub get {
    my $self = shift;
    while(1) {
        $self->{redis}->blpop($self->{name}, 10, rouse_cb);
        my $res = rouse_wait;
        return $res->[1] if ($res);
    }
}

sub put {
    my ($self, $msg) = @_;
    $self->{redis}->rpush($self->{name}, $msg);
}

1;
