use strict;
use Rq;
use Coro;
use Coro::Timer;

my $queue = Rq->new("test_channel");
sub publish {
    my $message = shift;
    $queue->put($message);
}

my $broker = async {
    Coro::current->desc("broker");
    my $i = 0;
    while (1) {
        $i++;
        Coro::Timer::sleep 1;
        publish( "task: " . $i );
    }
};

schedule;

